EDIT - feature request #8854

Choose new base font size for the portal
02/20/2020 05:51 PM - Andreas Kohlbecker

Status: Closed Start date:

Priority: Highest Due date:

Assignee: Andreas Kohlbecker % Done: 100%
Category: cdm-dataportal Estimated time: 0:00 hour
Target version: Release 5.18

Severity: normal

Description

copied from #6878
Weil du Wikipedia angesprochen hast, habe ich deren Schrift Einstellungen mit denen im Portal verglichen:
Wikipedia:

o font-size: 14px;
e line-height: 22.4px; (1,6 * font-size)

Data Portal:

e font-size: 12px;
e line-height: 18px; (1,5 * font-size)

Wikipedia hat also eine deutlich gréBere Schrift und aber auch eine proportional gréBeren Zeilenabstand, was mit zur besseren
Lesbarkeit beitragt.

Ich denke auch, dass es gut wére uns hier an Wikipedia zu orientieren, gerade auch im Hinblick auf Mobilgerate bei denen die
Schriften oft noch etwas kleiner dargestellt werden.

Diese Entscheidung sollte wir aber vorher im gréBeren Kreis besprechen.

Related issues:

Copied from EDIT - feature request #6878: choose a base font for the portal a... Closed
Copied to EDIT - task #9243: zen_dataportal theme: Discuss reduced fontsize o... New
Copied to EDIT - feature request #9242: cdm_taxontree: strategy for better re... New

Associated revisions

Revision 4c0d08da - 07/16/2020 08:16 AM - Andreas Kohlbecker
ref #8854 base font size set to 14px

Revision b233e13b - 07/16/2020 08:21 AM - Andreas Kohlbecker
ref #8854 base line height to 1.6 * base-font-size

Revision 16203a23 - 07/28/2020 03:14 PM - Andreas Kohlbecker
ref #8854 adapting test to new basefont size 14pt

History

#1 - 02/20/2020 05:52 PM - Andreas Kohlbecker

- Description updated

#2 - 02/20/2020 05:53 PM - Andreas Kohlbecker

- Copied from feature request #6878: choose a base font for the portal and deliver it from the drupal module or theme added

#3 - 03/10/2020 09:31 AM - Andreas Kohlbecker

- Target version changed from Release 5.13 to Release 5.15
#4 - 07/16/2020 08:10 AM - Andreas Kohlbecker

- Target version changed from Release 5.15 to Release 5.18

#5 - 07/16/2020 08:36 AM - Andreas Kohlbecker
- Status changed from New to In Progress

- % Done changed from 0 to 20
I modified the font setting and send an email to the BGBM users to gather feedback

#6 - 07/28/2020 06:04 PM - Andreas Kohlbecker

- Subject changed from Coose new base font size for the portal to Choose new base font size for the portal

#7 - 08/10/2020 07:06 AM - Andreas Kohlbecker
- Priority changed from New to Highest

#8 - 08/10/2020 07:07 AM - Andreas Kohlbecker

Hallo,

vielen Dank, es ist wirklich sehr wichtig, dass wir uns um solche ,kosmetischen® Fragen auch kimmern.

Ich gehe mal “meine” Portale durch:

flora-cuba [Checklist]: Das ist im Test http:/test.e-taxonomy.eu/dataportal/preview/flora-cuba/ ein anderes als das Original unter

http://portal.cybertaxonomy.org/flora-cuba/ - ich kann also nicht so recht beurteilen, wie die Font-Anderung wirkt. Oder beeinflusst das auch die GréBe
von Graphiken, z.B. im Titel?

flora-de-la-republica-de-cuba [Flora] — ist wohl nicht als Test vorhanden?
caryophyllales_spp: Sieht gut aus, bis auf den Navigator — da wird’s dann ziemlich eng. Mouse-over?

salvador: Auch dies scheint eine viel altere Version im TExt als in Produktion zu sein. Ich kann z.B. die Area-Verbreitungskarte nicht sehen —ist der
Font auch da betroffen?

Ansonsten fallt mir hier nur auf, dass die Uberschriften (fact categories) eigentlich gréBer sind, als notwendig — aber damit kann ich leben. Die
Specimen-Tabelle ist auch ok.

Insgesamt ist die Lesbarkeit deutlich verbessert. Aber das ist natirlich immer so, wenn man den Font vergréBert. Ich verstehe auch den Vergleich mit
Wikipedia nicht so ganz — habe mir mal die ein Stiick aus einer deutschen Seite kopiert (s.u.) — da scheint mir der Font kleiner zu sein (auch die
Uberschriften). AuBerdem hinkt der Vergleich natiirlich auch deshalb, weil Wikipedia auf Bildschirmbreite skaliert, wir aber nicht.

Herzlichen GruB3

Walter

#9 - 08/10/2020 07:07 AM - Andreas Kohlbecker

Hallo,

flora-cuba [Checklist]: Ich habe das Test-Portal mit dem Produktionsportal abgeglichen, jetzt lassen diese beiden sich vergleichen. Auf den ersten
Blick fallt in's Auge, dass sofort die GroBe des Headertextes angepasst werden misste. Grafiken sind unbeeinflusst.

Verbreitungskarten: Texte in Karten sind von der GréBenanderung des Textes nicht betroffen.

Navigator: Eine Art Mouseover hatten wir hier friher schon, der wurde aber abgeschafft. Alternative Optionen wéaren, den Navigator etwas breiter zu
machen oder dort mit einer kleineren Schrift zu arbeiten. Das macht Wikipedia tbrigens auch so.

Uberschriften von Informationsblécken: Diese GréBen sind im Theme vorgegeben und hangen direkt von der GréBe des FlieBtextes ab. An
diesem Verhaltnis hat sich nichts geéndert.

Vergleich Wikipedia/Data Portal: Es werden in Wikipedia und Data Portal unterschiedliche Schriftfamilien verwendet, daher ist es nicht
ungewdhnlich, dass trotzt identischer GréBBeneinstellung, die Anmutung der gerenderten Schrift unterschiedlich ist und in der finalen GréBe leicht
divergiert, dieser Effekt ist zudem auch noch Plattformanhéngig (Betriebssystem).

Skalieren auf Bildschirmbreite: Das wére fiir uns eventuell auch eine Option - habe ich aber noch nicht wirklich ausprobiert und macht, bis es
Uberall passt, sicherlich Arbeit.

Viele GruBe

Andreas
#10 - 08/10/2020 07:08 AM - Andreas Kohlbecker

Hallo Andreas,

vielen Dank! Im Cichorieae-Portal empfinde ich die gréBere Schrift tatséchlich sehr wohltuend und sie verursacht auch keine Layout-Probleme. Ich
bin also damit sehr zufrieden.

Schone Griufe,

Norbert

#11 - 08/10/2020 07:09 AM - Andreas Kohlbecker

Hallo Andreas,

... Ich finde die gréBeren Zeilenabstande und die gréBere Schrift gut. Alles ist angenehmer zu lesen.

Viele GriBe
Ralf

#12 - 10/09/2020 11:20 AM - Andreas Kohlbecker

- Related to feature request #9242: cdm_taxontree: strategy for better readability added

#13 - 10/09/2020 11:25 AM - Andreas Kohlbecker
- Copied to task #9243: zen_dataportal theme: Discuss reduced fontsize of headings added

#14 - 10/09/2020 11:25 AM - Andreas Kohlbecker
- Related to deleted (feature request #9242: cdm_taxontree: strategy for better readability )

#15 - 10/09/2020 11:25 AM - Andreas Kohlbecker
- Copied to feature request #9242: cdm_taxontree: strategy for better readability added

#16 - 10/09/2020 11:27 AM - Andreas Kohlbecker
- Status changed from In Progress to Closed

- % Done changed from 20 to 100

all suggestions for further improvement have been copied to new tickets (#9242, #9243) and this issue here can thus be closed now.
